{{#if @noContainer}}
  <Link
    @isEditor={{@isEditor}}
    @newTab={{@value.newTab}}
    @to={{@value.link}}
    @space={{@space}}
    class={{this.class}}
    {{on "props-update" this.updateProps}}
    ...attributes
  >
    <ButtonPicture @isEditor={{@isEditor}} @deviceSize={{@deviceSize}} @value={{this.pictureValue}} @text={{@value.name}} />
    {{yield}}
  </Link>
{{else}}
  <div class="menu-item text-nowrap">
    <Link
      @isEditor={{@isEditor}}
      @newTab={{@value.newTab}}
      @to={{@value.link}}
      @space={{@space}}
      class={{this.class}}
      {{on "props-update" this.updateProps}}
      ...attributes
    >
    <ButtonPicture @isEditor={{@isEditor}} @deviceSize={{@deviceSize}} @value={{this.pictureValue}} @text={{@value.name}} />
    {{yield}}
    </Link>
  </div>
{{/if}}